Skip to main content
GET
/
rooms
/
{room_name}
rooms/:name
curl --request GET \
  --url https://api.daily.co/v1/rooms/{room_name} \
  --header 'Authorization: Bearer <token>'
{
  "id": "d61cd7b2-a273-42b4-89bd-be763fd562c1",
  "name": "w2pp2cf4kltgFACPKXmX",
  "api_created": false,
  "privacy": "public",
  "url": "https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX",
  "created_at": "2019-01-26T09:01:22.000Z",
  "config": {
    "start_video_off": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_name
string
required

Response

200

id
string
Example:

"d61cd7b2-a273-42b4-89bd-be763fd562c1"

name
string
Example:

"w2pp2cf4kltgFACPKXmX"

api_created
boolean
default:true
Example:

false

privacy
string
Example:

"public"

url
string
Example:

"https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX"

created_at
string
Example:

"2019-01-26T09:01:22.000Z"

config
object